function create_multi_subject_data(nSubjects, resetMode)
% Creates subject data for multiple subjects for testing
%
% IN
%   nSubjects   number of subjects for which dummy data is created
%
% OUT
%   Folders subject10, subject11, ..., subject<10+nSubjects-1> holding raw
%   subject data created by init_reset_example
% EXAMPLE
%   create_multi_subject_data(3)
%       => subject10, 11, 12 folders created
%
%   See also init_reset_example
%
% Author: Lars Kasper
% Created: 2015-05-28
% Copyright (C) 2015 TNU, Institute for Biomedical Engineering, University of Zurich and ETH Zurich.
%
% This file is part of the TAPAS PhysIO Toolbox, which is released under the terms of the GNU General Public
% License (GPL), version 3. You can redistribute it and/or modify it under the terms of the GPL
% (either version 3 or, at your option, any later version). For further details, see the file
% COPYING or <http://www.gnu.org/licenses/>.
%
% $Id: init_reset_example.m 734 2015-03-26 15:40:33Z kasperla $
if nargin < 1
    nSubjects = 2; 
end

if nargin < 2
    resetMode = 1;
end

for s = 1:nSubjects
    dirSubjectArray{s} = ['subject' num2str(10+s-1)];
end

init_reset_example(resetMode, dirSubjectArray);