% create subject data first
create_multi_subject_data();

% List of open inputs
% Named File Selector: File Set - cfg_files
% Named File Selector: File Set - cfg_files
% Make Directory: Parent Directory - cfg_files

pathStudy       = '/Users/kasperla/Dropbox/Conferences/SPMZurich15/PracticalsPhysIOPreprocessing/example_physio_short';
dirSubjectArray = {
    'subject10'
    'subject11'
    };
fileFunctional  = 'fmri/fmri.nii';
fileStructural  = 'struct/struct.nii';

nrun = 2; % enter the number of runs here
jobfile = {'/Users/kasperla/Dropbox/Conferences/SPMZurich15/PracticalsPhysIOPreprocessing/example_physio_short/raw/batches/demo03_multi_subject/batch_preproc_fmri_report_quality_job.m'};
jobs = repmat(jobfile, 1, nrun);
inputs = cell(3, nrun);
for crun = 1:nrun
    pathSubject = fullfile(pathStudy, dirSubjectArray{nrun});
    fullpathFunctional = fullfile(pathSubject, fileFunctional);
    fullpathStructural = fullfile(pathSubject, fileStructural);
    
    % functional file
    inputs{1, crun} = {fullpathFunctional}; % Named File Selector: File Set - cfg_files
    
    % structural file
    inputs{2, crun} = {fullpathStructural}; % Named File Selector: File Set - cfg_files
    
    % subject folder
    inputs{3, crun} = {pathSubject}; % Make Directory: Parent Directory - cfg_files
end
spm('defaults', 'FMRI');
spm_jobman('run', jobs, inputs{:});
